import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

class ThemeScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Stack(
        children: [
          Positioned(
            top: 150, 
            left: 0,
            right: 0,
            child: Column(
              children: [
                Image.asset(
                  'lib/assets/clarity.png',
                  width: 120, 
                  height: 120, 
                  fit: BoxFit.contain,
                ),
                Transform.translate(
                  offset: const Offset(0, -40), 
                  child: Image.asset(
                    'lib/assets/clarity_texto.png',
                    width: 200, 
                    height: 200, 
                    fit: BoxFit.contain,
                  ),
                ),
              ],
            ),
          ),
          Align(
            alignment: Alignment.bottomCenter,
            child: Container(
              height: 480,
              decoration: BoxDecoration(
                borderRadius: const BorderRadius.only(
                  topLeft: Radius.circular(50),
                  topRight: Radius.circular(50),
                ),
                color: Colors.white,
                boxShadow: [
                  BoxShadow(
                    color: Colors.black.withOpacity(0.2),
                    spreadRadius: 2,
                    blurRadius: 7,
                    offset: const Offset(0, -3),
                  ),
                ],
              ),
              child: Stack(
                children: [
                  Align(
                    alignment: Alignment.topCenter,
                    child: Padding(
                      padding: const EdgeInsets.only(
                          top: 25.0),
                      child: Text(
                        'TEMAS',
                        style: GoogleFonts.fredoka(
                          textStyle: const TextStyle(
                            fontSize: 40,
                            fontWeight: FontWeight.bold,
                            color: Color.fromARGB(255, 46, 74, 85),
                            letterSpacing: 2.0,
                          ),
                        ),
                      ),
                    ),
                  ),
                  Align(
                    alignment: Alignment.topCenter,
                    child: Padding(
                      padding: const EdgeInsets.only(
                          top: 50.0, left: 22.0, right: 22.0),
                      child: Text(
                        'Escolha seu tema favorito, você pode alterá-lo quando quiser!',
                        textAlign: TextAlign.center,
                        style: GoogleFonts.notoSans(
                          fontSize: 14,
                          color: const Color.fromARGB(255, 142, 147, 150),
                          letterSpacing: 2.0,
                          height: 1.5,
                        ),
                      ),
                    ),
                  ),

                  Align(
                    alignment: Alignment.bottomCenter,
                    child: Padding(
                      padding: const EdgeInsets.only(bottom: 40.0),
                      child: ElevatedButton(
                        onPressed: () {
                          // quando clicar no botão
                        },
                        style: ElevatedButton.styleFrom(
                          backgroundColor: const Color.fromARGB(255, 92, 167, 205), 
                          shape: RoundedRectangleBorder(
                            borderRadius: BorderRadius.circular(100.0), 
                          ),
                          padding: const EdgeInsets.symmetric(
                            horizontal: 30.0,
                            vertical: 15.0,
                          ),
                        ),
                        child: Text(
                          'VAMOS COMEÇAR!!',
                          style: GoogleFonts.notoSans(
                            fontSize: 18,
                            color: Colors.white,
                            fontWeight: FontWeight.bold,
                          ),
                        ),
                      ),
                    ),
                  ),
                ],
              ),
            ),
          ),
        ],
      ),
      backgroundColor: const Color.fromARGB(255, 125, 190, 222),
    );
  }
}
